package com.cyksj.model.entity;

import com.ejlchina.searcher.bean.SearchBean;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/*
 *项目名: netflix
 *文件名: TaskFollowPlatVerify
 *创建者: JavaZou
 *创建时间:2023/1/6 14:03
 */
@Getter
@Setter
@SearchBean(tables = "task_follow_plat_verify")
public class TaskFollowPlatVerify extends BaseEntity {
	private Long taskId;

	private Long userId;

	private String platNickname;

	/**
	 * 推广贴链接
	 */
	private String link;

	private String img;

	private Status status;

	private String errorReason;

	private Date verifyTime;

	@Getter
	public enum Status {
		verifying("审核中"),
		fail("审核失败"),
		success("审核成功"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
